rectangle width system variable?

Discussion in 'AutoCAD' started by mnelson, May 3, 2004.

  1. mnelson

    mnelson Guest

    Doesn’t rectangle have a system variable for width like polyline does? If so, I can’t find it.

    Thanks
     
    mnelson, May 3, 2004
    #1
  2. mnelson

    cadtown Guest

    Rectangle is a polyline - an enclosed polyline. There is no object type called "Rectangle" in AutoCAD.

    http://www.cadtown.com
     
    cadtown, May 3, 2004
    #2
  3. To clarify - Do you mean the defaults in the RECTANG command when using the
    [Dimensions] option? rather than the rectangle itself. You must be specific
    as we are not mind readers. Anyway, if that's what your asking, I do not
    believe there are any system variables that control the defaults. If the
    value is saved, there may be a registry entry, although I have no idea where
    it might be. It could also be stored in the drawing via dictionary xrecords.
     
    Phil Kenewell, May 3, 2004
    #3
  4. mnelson

    David Kozina Guest

    Are you perhaps referring to a 'unit square' block?
    (VERY useful for columns, footings, etc, I might add) - If so, you can
    modify X and Y scales via the property manager.

    Are you perhaps referring to a simple 2 vertex MLINE entity with closed
    endcaps?
    If so, you can change the width of such a beast via DXF group code
    modification.

    Are you referring to something else?
    Kind of hard to tell you if what you're asking for is possible without
    further information from you.

    Best regards,
    David Kozina
     
    David Kozina, May 3, 2004
    #4
  5. mnelson

    Jeff Mishler Guest

    I would say he's hoping the "RECTANGLE" command, which draws a pline, to
    have a width controlled by a system variable. Similar to how the current
    pline width is stored as sysvar "plinewid".

    Unfortunately, the rectangle command is an ARX function and it apparently
    stores it's variables seperate and out of sight of the user.

    Jeff
     
    Jeff Mishler, May 4, 2004
    #5
  6. mnelson

    Paul Turvill Guest

    You can't. You must "set" the width using the Width option in the command
    line. Once set, this value becomes the default for the rest of your session.
    If need be, you could, of course, handle it with a small macro ...
    ___
     
    Paul Turvill, May 4, 2004
    #6
  7. mnelson

    mnelson Guest

    Great! I shold have what I need now. Thanks.
     
    mnelson, May 4, 2004
    #7
  8. mnelson

    mnelson Guest

    FYI This is what seems to work well for me.

    ; Draws rectangle w/width set to 3.5
    ; restores rectangle width to 0
    (defun c:BREC (/ PT1 PT2)
    (setvar "cmdecho" 1)
    ; the old way to make a rec
    ;(setq PT1 (getpoint"\nSelect first point (Width set to 3.5)"))
    ;(setq PT2 (getpoint"\nSelect second point"))
    ;(command "RECTANGLE" "W" "3.5" PT1 PT2)
    (command "RECTANGLE" "W" "3.5")
    (princ " (Boundary width set to 3.5)")
    (while (> (getvar "cmdactive") 0)
    (command pause)
    )
    (command "RECTANGLE" "W" 0 ^c)
    (princ "\nRectangle width restored to 0")
    (princ)
    )
     
    mnelson, May 6, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.